Bug 174923 - No documention for "Kernel" in ruby-ri (the primary doc system for Ruby)
No documention for "Kernel" in ruby-ri (the primary doc system for Ruby)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-04 03:48 EST by Wayne Walker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.8.4-1.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 22:53:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Walker 2005-12-04 03:48:09 EST
Description of problem:

No "ri" documentation for Kernel

Kernel is one of the most Basic object classes in Ruby.  It's used extensively.

"ri" is the Ruby equivalent of "man" or "perldoc", so this is needed.

Version-Release number of selected component (if applicable):

ri-1.8.3-2.fc4

How reproducible:

always


Steps to Reproduce:
1. ri Kernel
2. ri Object
3.
  
Actual results:
---------------------------------------------------------- Class: Kernel
     (no description...)
------------------------------------------------------------------------


Expected results:

---------------------------------------------------------- Class: Kernel
     (no description...)
------------------------------------------------------------------------


Instance methods:
-----------------
     Array, Float, Integer, String, URI, `, abort, at_exit, autoload,
     autoload?, binding, block_given?, callcc, caller, catch, chomp,
     chomp!, chop, chop!, eval, exec, exit, exit!, fail, fork, format,
     getc, gets, global_variables, gsub, gsub!, iterator?, lambda, load,
     local_variables, loop, method_missing, open, p, print, printf,
     proc, putc, puts, raise, rand, readline, readlines, require, scan,
     select, set_trace_func, sleep, split, sprintf, srand, sub, sub!,
     syscall, system, test, throw, trace_var, trap, untrace_var, warn, y

Additional info:

The rdoc system will fail to generate _any_ docs for a module, if _any_ module
line for the module has a :nodoc: comment.  One was erroneously put in
lib/yaml.rb.  This is fixed in the next (as yet unreleased) ruby release.

As many of the important methods of ruby are documented under Kernel, it's quite
important for Kernel to have docs.

Here is the patch difference from 1.8.3 to the prerelease 1.8.4.  The one line
change would fix this large hole in ruby docs in FC4.


[ (0) wwalker@behemoth:~/work ]$ diff -Naur ruby-1.8.[34]/lib/yaml.rb 
--- ruby-1.8.3/lib/yaml.rb      2005-09-20 04:22:01.000000000 -0500
+++ ruby-1.8.4/lib/yaml.rb      2005-11-06 09:09:06.000000000 -0600
@@ -1,5 +1,5 @@
 # -*- mode: ruby; ruby-indent-level: 4; tab-width: 4 -*- vim: sw=4 ts=4
-# $Id: yaml.rb,v 1.9.2.10 2005/09/20 09:22:01 matz Exp $
+# $Id: yaml.rb,v 1.9.2.11 2005/11/06 15:09:06 ocean Exp $
 #
 # = yaml.rb: top-level module with methods for loading and parsing YAML documents
 #
@@ -392,7 +392,7 @@
 require 'yaml/rubytypes'
 require 'yaml/types'
 
-module Kernel # :nodoc:
+module Kernel
     #
     # ryan:: You know how Kernel.p is a really convenient way to dump ruby
     #        structures?  The only downside is that it's not as legible as
Comment 1 Akira TAGOH 2006-01-04 21:27:22 EST
this issue will be fixed in 1.8.4-1.fc4.
Comment 2 Fedora Update System 2006-01-05 16:53:51 EST
From User-Agent: XML-RPC

ruby-1.8.4-1.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.